using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using fbblControlli;
using fbblMessaggi;
using fbblNumeriInteri;

namespace fdprElencoDivisori
{
    public partial class frmElencoDivisori : Form
    {
        public frmElencoDivisori()
        {
            InitializeComponent();
        }

        private void frmElencoDivisori_Esci()
        {
            Application.Exit();
        }

        private void frmElencoDivisori_Nuovo()
        {
            edtNumero.Clear();
            edtNumeroDivisori.Clear();

            edtNumero.Focus();
        }

        private void frmElencoDivisori_Esegui()
        {
            int Numero;
            bool ControlloOK;

            ControlloDati(out ControlloOK,out Numero);

            if (ControlloOK)
            {
                Numero = strumentiNumeriInteri.NumeroDivisori(Numero);
                edtNumeroDivisori.Text = Numero.ToString();
            }

        }

        private void ControlloDati(out bool ControlloOK,out int Numero)
        {
            StrumentiControlli.ControlloNumeroInteroPositivo(edtNumero.Text,out ControlloOK,out Numero);

            if (ControlloOK==false)
            {
                StrumentiMessaggi.MessaggioNumeroInteroPositivo("Il numero inserito");

                edtNumero.Focus();
            }

        }
        
//***************** ELENCO PROCEDURE LOCALI DI PROGETTO      ********************

//***************** ELENCO PROCEDURE DI RISPOSTA AGLI EVENTI ********************

        private void btnEsegui_Click(object sender, EventArgs e)
        {
            frmElencoDivisori_Esegui();
        }

        private void btnNuovo_Click(object sender, EventArgs e)
        {
            frmElencoDivisori_Nuovo();
        }

        private void btnEsci_Click(object sender, EventArgs e)
        {
            frmElencoDivisori_Esci();
        }


    }
}
